jmeter-java_2.11-2+deb8u1_all.deb


Advertisement

Description

jmeter-java - Load testing and performance measurement application (java module)

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: jmeter-java
Package version: 2.11
Package release: 2+deb8u1
Package architecture: all
Package type: deb
Installed size: 108 B
Download size: 50.47 KB
Official Mirror: ftp.br.debian.org
Apache JMeter is a 100% pure Java desktop application designed to load test functional behavior and measure performance. It was originally designed for testing Web Applications but has since expanded to other test functions. This package contains the java testing module.

Alternatives

    Download

    Source package: jakarta-jmeter

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install jmeter-java deb package:
      # sudo apt-get install jmeter-java

    Files

    • /usr/share/doc/jmeter-java/README.gz
    • /usr/share/doc/jmeter-java/changelog.Debian.gz
    • /usr/share/doc/jmeter-java/copyright
    • /usr/share/jmeter/lib/ext/ApacheJMeter_java.jar

    Changelog

    2016-05-18 - Emmanuel Bourg <ebourg@apache.org> jakarta-jmeter (2.11-2+deb8u1) jessie-proposed-updates; urgency=medium * Team upload. * Install the templates (Closes: #795356) * Fixed an error with libxstream-java >= 1.4.9 when loading the templates

    2014-09-18 - Emmanuel Bourg <ebourg@apache.org> jakarta-jmeter (2.11-2) unstable; urgency=medium * debian/copyright: Documented the licenses of the Oxygen, Echo and Tango icon themes used by JMeter (Closes: #755794)

    2014-07-18 - Emmanuel Bourg <ebourg@apache.org> jakarta-jmeter (2.11-1) unstable; urgency=medium * New upstream release (Closes: #690031) - Refreshed the patches - Added new dependencies on libjsoup-java, librsyntaxtextarea-java and libmongodb-java - Removed 03_bouncycastle_update.patch (fixed upstream) * Improved the application icon * Install ApacheJMeter_native.jar in the main jmeter package * Packaged the MongoDB testing module as jmeter-mongodb * Added keywords to the desktop shortcut * Split 02_disable_components.patch into 3 patches * Use XZ compression for the upstream tarball * debian/rules: Do not mount /usr/share/java in the classpath to avoid build failures on non clean systems

    2014-04-11 - Emmanuel Bourg <ebourg@apache.org> jakarta-jmeter (2.8-2) unstable; urgency=low * Renamed the HashTree.replace(Object, Object) method to replaceKey(). This avoids a conflict with the new Map.replace(Object, Object) method introduced in Java 8. * Updated the classpath of jorphan.jar to use Commons Collections 3 * Standards-Version updated to 3.9.5 (no changes) * Switch to debhelper level 9

    2013-07-05 - Emmanuel Bourg <ebourg@apache.org> jakarta-jmeter (2.8-1) unstable; urgency=low * New upstream release * Refreshed the patches * Added a patch improving the help on the command line * Added a manpage * Added new dependencies on libcommons-jexl2-java and libcommons-lang3-java * Locate the JRE in the Java wrapper to avoid the "No JAVA_CMD set for run_java" warning. * Install test.jar in /usr/share/jmeter/lib/junit/

    2013-07-03 - Emmanuel Bourg <ebourg@apache.org> jakarta-jmeter (2.5.1-2) unstable; urgency=low * Patched to compile against Bouncy Castle 1.48 (Closes: #713151) * debian/watch: Updated the location of the archives following the graduation of JMeter to a top level project. * Removed the DMUA flag * Bump standards version to 3.9.4. No changes needed. * Use canonical URLs for the Vcs-* fields * debian/rules: Added a clean target to allow rebuilds

    2012-05-03 - Onkar Shinde <onkarshinde@ubuntu.com> jakarta-jmeter (2.5.1-1) unstable; urgency=low * New upstream release. (Closes: #641546, LP: #879463) * Change home page URL everywhere. * Add new build dependencies libhttpclient-java, libhttpmime-java for http module. Update build and runtime classpath accordingly. * Refreshed 02_disable_components.patch as per latest source. * Update 'Format' value in debian/copyright. * Point watch file to archive area until we used renamed upstream source.

    2012-04-21 - Onkar Shinde <onkarshinde@ubuntu.com> jakarta-jmeter (2.4-3) unstable; urgency=low * Merge Ubuntu changes (gnumail -> geronimo-javamail). * Use javahelper, *.classpath files to set classpath and runtime dependencies. * Add libbcmail-java, libbcprov-java build dependencies for SMIMEAssetion. * Update 02_disable_components.patch to build SMIMEAssertion* again. * Remove few unneeded/unused dependencies - batik, bsh, gnumail, jboss-j2ee. * Minimize jar lookup in launcher script because classpath has been set in all jar files. * Bump standards version to 3.9.3. No changes needed.

    Advertisement
    Advertisement